﻿@model Avira.MarketingResearch.Model.ViewModels.RawMaterialUpdateDbViewModel

@{
    ViewBag.Title = "Edit Raw-Material";
}

<link href="~/assets/css/avira-custom.css" rel="stylesheet" />
<script src="~/assets/plugins/jquery/jquery-3.3.1.min.js"></script>
<script src="~/assets/js/page-table-manage.demo.min.js"></script>
<script src="~/ckeditor/ckeditor.js"></script>
<div id="content" class="content">
    <h4>
        Edit Raw Material
    </h4>
    @if (ViewBag.Message != null)
    {
        @*<div class="text-center">
            @ViewBag.Message
        </div>*@
        <div class="alert alert-success alert-bordered show m-b-10">
            <strong>Info!</strong>
            @ViewBag.Message
            <span class="close" data-dismiss="alert">×</span>
        </div>
    }
    <div class="section-container section-with-top-border">

        @using (Html.BeginForm("Edit", "RawMaterial", FormMethod.Post))
        {
            @Html.AntiForgeryToken()

            <div class="form-horizontal">


                @Html.ValidationSummary(true, "", new { @class = "text-danger" })
                @Html.HiddenFor(model => model.Id)

                <div class="form-group">
                    @Html.LabelFor(model => model.RawMaterialName, "Raw-Material Name", htmlAttributes: new { @class = "col-md-2" })
                    <div class="col-md-7">
                        @Html.EditorFor(model => model.RawMaterialName, new { htmlAttributes = new { @class = "form-control" } })
                        @Html.ValidationMessageFor(model => model.RawMaterialName, "", new { @class = "text-danger" })
                    </div>
                </div>

                <div class="form-group">
                    @Html.LabelFor(model => model.Description, htmlAttributes: new { @class = "col-md-2" })
                    <div class="col-md-7">
                        @Html.TextAreaFor(model => model.Description, htmlAttributes: new { @class = "form-control" })
                        @Html.ValidationMessageFor(model => model.Description, "", new { @class = "text-danger" })
                        <script>
                            CKEDITOR.replace('Description', {
                                height: 40,
                                // Define the toolbar groups as it is a more accessible solution.
                                toolbarGroups: [{
                                    "name": "basicstyles",
                                    "groups": ["basicstyles"]
                                },
                                {
                                    "name": "links",
                                    "groups": ["links"]
                                },
                                {
                                    "name": "paragraph",
                                    "groups": ["list", "blocks"]
                                },
                                {
                                    "name": "document",
                                    "groups": ["mode"]
                                },
                                {
                                    "name": "insert",
                                    "groups": ["insert"]
                                },
                                {
                                    "name": "styles",
                                    "groups": ["styles"]
                                },
                                {
                                    "name": "about",
                                    "groups": ["about"]
                                }
                                ],
                                // Remove the redundant buttons from toolbar groups defined above.
                                removeButtons: 'Underline,Strike,Subscript,Superscript,Anchor,Styles,Specialchar'
                            });
                        </script>
                    </div>
                </div>

                <div class="form-group">
                    <div class="col-md-2"></div>
                    <div class="col-md-offset-5 p-l-15">
                        <input type="submit" value="Save" class="btn btn-rounded btn-grey m-b-5 width-100" />
                        <a href="~/RawMaterial/Index" class="btn btn-rounded btn-inverse m-b-5 width-100">Back to List </a>
                    </div>
                </div>
            </div>

        }
    </div>
    <div id="footer" class="footer" style="position:fixed; bottom:0; left:15%;">
        <span class="pull-right">
            <a href="javascript:;" class="btn-scroll-to-top" data-click="scroll-top">
                <i class="fa fa-arrow-up"></i> <span class="hidden-xs">Back to Top</span>
            </a>
        </span>
        &copy; 2018 <b>Avira Admin</b> All Right Reserved
    </div>
</div>
